<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN"><HTML><HEAD><TITLE>80386 Programmer's Reference Manual -- Opcode LAHF</TITLE> </HEAD><BODY><B>up:</B> <A HREF="c17.htm">Chapter 17 -- 80386 Instruction Set</A><BR><B>prev:</B><A HREF="JMP.htm"> JMP Jump</A><BR><B>next:</B><A HREF="LAR.htm"> LAR Load Access Rights Byte</A><P><HR><P><H1>LAHF -- Load Flags into AH Register</H1><PRE>
Opcode  Instruction   Clocks   Description

9F      LAHF          2        Load: AH := flags SF ZF xx AF xx PF xx CF
</PRE><H2>Operation</H2><PRE>
AH := SF:ZF:xx:AF:xx:PF:xx:CF;
</PRE><H2>Description</H2>LAHF transfers the low byte of the flags word to AH. The bits, from MSB to LSB, are sign, zero, indeterminate, auxiliary, carry, indeterminate, parity, indeterminate, and carry.<H2>Flags Affected</H2>None<H2>Protected Mode Exceptions</H2>None<H2>Real Address Mode Exceptions</H2>None<H2>Virtual 8086 Mode Exceptions</H2>None<P><HR><P><B>up:</B> <A HREF="c17.htm">Chapter 17 -- 80386 Instruction Set</A><BR><B>prev:</B><A HREF="JMP.htm"> JMP Jump</A><BR><B>next:</B><A HREF="LAR.htm"> LAR Load Access Rights Byte</A> </BODY>